Subject: bug#25018: GC incorrectly removes the temporary root file of the calling process

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 18 Oct 2022 11:33:32 -0400

reopen 25018
quit

Hi,

Ludovic Courtès <[email-masked]> writes:

[...]

> I reverted it in eec920ba93ecb086366576e31b785962fbaf81c2.
>
> The way forward will be to review those tests one by one, make sure they
> were making the “wrong” assumption, adjust them accordingly, and
> possibly add new tests.  It’s not necessarily difficult but takes a bit
> of time.  (In the coming weeks I’m going to try and focus on more urgent
> matters but I’m happy to review if you or someone else gets to it!)

Thanks, and sorry for not noticing the breakage.  I'm reopening the bug
so that we don't forget about it.

-- 
Thanks,
Maxim